apt 2.9.16 commandline package manager

Public Member Functions | List of all members
PackageArchitectureMatchesSpecification Class Reference
Inheritance diagram for PackageArchitectureMatchesSpecification:

## Public Member Functions
| PackageArchitectureMatchesSpecification (std::string const &pattern, bool const isPattern=true)
| matching against architecture specification strings
bool | operator() (char const *const &arch)
bool | operator() (pkgCache::PkgIterator const &Pkg) APT_OVERRIDE
Public Member Functions inherited from PackageMatcher
bool | operator() (pkgCache::VerIterator const &Ver) APT_OVERRIDE
bool | operator() (pkgCache::GrpIterator const &) APT_OVERRIDE
Public Member Functions inherited from Matcher

## Constructor & Destructor Documentation

## ◆ PackageArchitectureMatchesSpecification()

PackageArchitectureMatchesSpecification | ( | std::string const & | pattern,
|  | bool const | isPattern = true )

matching against architecture specification strings

Parameters

  pattern | is the architecture specification string
  isPattern | defines if the given pattern is a architecture specification pattern to match others against or if it is the fixed string and matched against patterns

## Member Function Documentation

## ◆ operator()()

bool operator() | ( | pkgCache::PkgIterator const & | Pkg | ) |
| virtual

Implements PackageMatcher.

The documentation for this class was generated from the following files:

- apt-pkg/cachefilter.h
- apt-pkg/cachefilter.cc